Name:           enigma
Version:        1.01
Release:        6.2
Summary:        Clone of the ATARI game Oxyd

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.nongnu.org/enigma/
Source0:        http://download.berlios.de/enigma-game/enigma-1.01-64bit.tar.gz
Patch0:         enigma-1.01-desktop.patch
Patch1:         enigma-gcc-4.3-ftbfs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 1.2  
BuildRequires:  SDL_image-devel >= 1.2 
BuildRequires:  SDL_mixer-devel >= 1.2.4
BuildRequires:  SDL_ttf-devel >= 2.0.4
BuildRequires:  gettext
BuildRequires:  libpng-devel
BuildRequires:  desktop-file-utils
BuildRequires:  zlib-devel >= 1.2.0
BuildRequires:  tetex >= 2.0.2
BuildRequires:  xerces-c-devel

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q
%patch0 -p1
%patch1

%build
%configure --enable-optimize
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT
mkdir __doc
mv $RPM_BUILD_ROOT%{_datadir}/doc/enigma/ __doc

desktop-file-install \
  --delete-original                                        \
  --vendor fedora                                          \
  --remove-key Version \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications            \
  $RPM_BUILD_ROOT%{_datadir}/applications/enigma.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS CHANGES COPYING ACKNOWLEDGEMENTS __doc/*
%{_datadir}/enigma
%{_bindir}/enigma
%{_mandir}/man?/enigma.*
%{_datadir}/icons/hicolor/48x48/apps/enigma.png
%{_datadir}/pixmaps/enigma.png
%{_datadir}/applications/*enigma.desktop
# we don't need the enet stuff
%exclude %{_includedir}/enet/
%exclude %{_libdir}/libenet.a

%changelog
* Mon Feb 11 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.01-6.2
- rebuild for new libxerces-c

* Sat Feb 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.01-6
- update gcc43 patch to one from opensuse

* Sat Feb 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.01-5
- rebuilt

* Fri Jan 04 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.01-4.1
- add enigma-gcc-4.3-ftbfs.patch from debian package

* Wed Sep 12 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.01-3.1
- use the newly 64bit-clean upstream tarball

* Tue Aug 21 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.01-2.1
- Remove version key from desktop file

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Tue Jun 5 2007 Wart <wart@kobold.org> - 1.01-2
- Clean up desktop categories

* Sat May 26 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.01-1
- Update to 1.01

* Thu Dec 14 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.0-1
- Update to 1.0
- drop enigma-gcc41.patch
- formating changes
- use make install DESTDIR
- new download URL

* Mon Aug 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.92-4
- Rebuild for Fedora Extras 6

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.92-3
- Rebuild for Fedora Extras 5

* Mon Jan 23 2006 Adrian Reber <adrian@lisas.de> - 0.92-2
- Added patch to build with gcc 4.1

* Sat May 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.92-1
- Update to 0.92
- Use disttag

* Sat May 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-5
- rebuilt

* Sat May 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-3
- BR libpng-devel

* Thu May 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-2
- rebuilt

* Thu May 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-1
- Update to 0.91
- Add BR gettext, SDL_ttf-devel
- Use find_lang
- gtk-update-icon-cache in post and postun
- Remove GCC patches

* Thu Apr 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.81-5
- Fix build for GCC4.

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 11 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.81-3
- Fix a number of C++ issues for FC3/GCC 3.4.

* Fri Jun 11 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.81-0.fdr.2
- Build-Require zlib-devel, tetex
- Don't install INSTALL

* Wed Dec 24 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.81-0.fdr.1
- Initial RPM release based on spec-file in source
  package by Daniel Heck <dheck[AT]gmx.de>
